- include_role:
    name: commons
    tasks_from: helpers/resolve-component.yaml
  vars:
    obj_apivers: wopla.io/v1beta1
    obj_kind: Nexus
- name: Sets Nexus CR Facts
  set_fact:
    nexus_name: "{{ ('nexus-' ~ found_cr.resources[0].metadata.name)
                      if (found_cr is defined
                          and found_cr.resources is defined
                          and found_cr.resources | length > 0)
                      else False }}"
    nexus_namespace: "{{ found_cr.resources[0].metadata.namespace
                           if (found_cr is defined
                               and found_cr.resources is defined
                               and found_cr.resources | length > 0)
                           else False }}"
- name: Sets Nexus Facts
  set_fact:
    nexus_admin_secret: "{{ found_cr.resources[0].status.adminsecret }}"
    nexus_artifacts_secret: "{{ found_cr.resources[0].status.artifactssecret }}"
    nexus_deployer_secret: "{{ found_cr.resources[0].status.deployersecret }}"
    nexus_api_address: "{{ found_cr.resources[0].status.internal }}"
    nexus_api_public: "{{ found_cr.resources[0].status.public }}"
  when:
  - found_cr.resources is defined
  - found_cr.resources | length > 0
  - found_cr.resources[0].status is defined
  - found_cr.resources[0].status.ready is defined
